#!/usr/bin/env python3

import argparse

parser = argparse.ArgumentParser(description='Create SQL Script to create missing indixes')
parser.add_argument('table', help='Name of the table')
parser.add_argument('column', help='Name of the column (and the index)')
args = parser.parse_args()

with open('dbs.list', 'r') as content:
    databases = content.readlines()

databases = [database.strip() for database in databases]

with open('index.sql', 'w') as script:
    for database in databases:
        script.write('create index %s on %s.%s (%s);\n' % (args.column, database, args.table, args.column))
